Last Comment Bug 397178 - Crash when entering chrome://pippki/content/resetpassword.xul in URL bar
: Crash when entering chrome://pippki/content/resetpassword.xul in URL bar
Status: RESOLVED DUPLICATE of bug 233932
: crash
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: trunk
: All All
: P1 normal (vote)
: 3.12
Assigned To: nobody
:
Mentors:
: 397480 (view as bug list)
Depends on: 397296
Blocks: 398886
  Show dependency treegraph
 
Reported: 2007-09-22 11:08 PDT by Marcia Knous [:marcia - use ni]
Modified: 2008-06-20 13:04 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2007-09-22 11:08:04 PDT
Seen while testing Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.9a9pre) Gecko/2007092204 Minefield/3.0a9pre.

STR:
1. Create a master password.
2. Enter chrome://pippki/content/resetpassword.xul in the URL bar.
3. Press reset password. Crash.

Here is the stack: http://crash-stats.mozilla.com/report/index/9be1f319-6892-11dc-af34-001a4bd43ed6?date=2007-09-21-22

I corresponded with dolske and he advised that I should file a bug under this component.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-09-23 13:41:28 PDT
The reset password dialog calls nsIPK11Token::reset() http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/security/manager/pki/resources/content/resetpassword.js&rev=1.9&mark=57#53

Which results in the following stack:

sftkdb_ResetDB(handle=0x04243e40) Line 722  C
sftkdb_ResetKeyDB(handle=0x04243e40) Line 2549  C
NSC_InitToken(slotID=2, pPin=0x00000000, ulPinLen=0, pLabel=0x0012d7e0) Line 2885  C
PK11_ResetToken(slot=0x042450e8, sso_pwd=0x00000000) Line 2235  C
nsPK11Token::Reset() Line 285  C++
NS_InvokeByIndex_P(that=0x058368c8, methodIndex=13, paramCount=0, params=0x0012d9d8) Line 102  C++
XPCWrappedNative::CallMethod(ccx={...}, mode=CALL_METHOD) Line 2326  C++
XPC_WN_CallMethod(cx=0x0438b918, obj=0x06c73540, argc=0, argv=0x05f03e3c, vp=0x0012dc88) Line 1467  C++
js_Invoke(cx=0x0438b918, argc=0, vp=0x05f03e34, flags=0) Line 1382  C
js_Interpret(cx=0x0438b918, pc=0x0582b5e5, result=0x0012e3b4) Line 4092  C
js_Invoke(cx=0x0438b918, argc=1, vp=0x05f03ba0, flags=2) Line 1402  C
nsXPCWrappedJSClass::CallMethod(wrapper=0x057e56b8, methodIndex=3, info=0x039abea0, nativeParams=0x0012e6ac) Line 1443  C++
nsXPCWrappedJS::CallMethod(methodIndex=3, info=0x039abea0, params=0x0012e6ac) Line 566  C++
PrepareAndDispatch(self=0x05840358, methodIndex=3, args=0x0012e76c, stackBytesToPop=0x0012e75c) Line 114  C++

*db->sdb_Reset is 0xcdcdcdcd at
http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/security/nss/lib/softoken/sftkdb.c&rev=1.6&mark=718#710
Comment 2 Nelson Bolyard (seldom reads bugmail) 2007-09-23 15:53:36 PDT
This was fixed in the NSS trunk on 2007-07-13 by rev 1.8 to file
mozilla/security/nss/lib/softoken/legacydb/lginit.c for bug 233932
which was experiencing the same crash.  So, this bug does not 
exist on the NSS trunk.

FireFox builds are evidently still using an old CVS tag for NSS.
Perhaps this bug should be turned into a FireFox build bug.

Comment 3 Marcia Knous [:marcia - use ni] 2007-09-23 19:14:40 PDT
Bug 397296 has been filed to address Comment 2.
Comment 4 Phil Ringnalda (:philor) 2007-09-25 08:43:33 PDT
*** Bug 397480 has been marked as a duplicate of this bug. ***
Comment 5 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2007-09-27 13:54:42 PDT
Not sure if I'm following all the twists between bug#397296, bug#397178 and bug#397480, so let me try to summarize. 

QA are hitting crashes when resetting password in recent 1.9/trunk nightlies. These crashes are known issues in NSS code and already fixed. However the fixed NSS code is not being picked up in 1.9/trunk builds.

The version of NSS being used in Firefox trunk is from at least before 13july2007, and does not have any NSS fixes since then. Therefore, QA are still hitting the bug. I believe any other NSS fixes since 13july2007 are also not visible in 1.9/trunk builds. 

Its possible that this is expected behavior, and I just dont have enough background to understand. However, this seems like a serious problem with 1.9/trunk builds that I think should be a 1.9blocker, hence nominating.
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-09-27 14:09:09 PDT
Bug 397296 is already blocking-firefox3+. There's no need for another bug on this, especially not an NSS bug...
Comment 7 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2007-09-27 14:28:10 PDT
(In reply to comment #6)
> Bug 397296 is already blocking-firefox3+. There's no need for another bug on
> this, especially not an NSS bug...

ok, sounds great to me. I only reopened & nominated this bug because each of these bugs seemed to cover different aspects of the problem. Happy to track the issue in bug#397296 and sorry for the spam-bug-mail.
Comment 8 Nelson Bolyard (seldom reads bugmail) 2008-06-20 13:04:50 PDT

*** This bug has been marked as a duplicate of bug 233932 ***

Note You need to log in before you can comment on or make changes to this bug.